summaryrefslogtreecommitdiff
path: root/dev-python/virtualenvwrapper
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-10-12 13:14:38 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-10-12 13:14:38 +0000
commita635483c1d7032d380b0eb04476eea8f29d1300f (patch)
tree515971b7b27a154fbc531fb3e542731f1299749b /dev-python/virtualenvwrapper
parent440a74765c2f3dd40c0fc1ab48ebad1e232a858c (diff)
downloadbaldeagleos-repo-a635483c1d7032d380b0eb04476eea8f29d1300f.tar.gz
baldeagleos-repo-a635483c1d7032d380b0eb04476eea8f29d1300f.tar.xz
baldeagleos-repo-a635483c1d7032d380b0eb04476eea8f29d1300f.zip
Adding metadata
Diffstat (limited to 'dev-python/virtualenvwrapper')
-rw-r--r--dev-python/virtualenvwrapper/virtualenvwrapper-4.8.4-r2.ebuild47
1 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/virtualenvwrapper/virtualenvwrapper-4.8.4-r2.ebuild b/dev-python/virtualenvwrapper/virtualenvwrapper-4.8.4-r2.ebuild
new file mode 100644
index 000000000000..58f5e7c54a4e
--- /dev/null
+++ b/dev-python/virtualenvwrapper/virtualenvwrapper-4.8.4-r2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Set of extensions to Ian Bicking's virtualenv tool"
+HOMEPAGE="https://bitbucket.org/dhellmann/virtualenvwrapper
+ https://pypi.org/project/virtualenvwrapper/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# testsuite doesn't work out of the box. Demand of a virtualenv outstrips setup by the eclass
+RESTRICT=test
+
+RDEPEND="
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ dev-python/stevedore[${PYTHON_USEDEP}]
+ dev-python/virtualenv-clone[${PYTHON_USEDEP}]"
+DEPEND="${DEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/pbr[${PYTHON_USEDEP}]"
+
+src_prepare() {
+ default
+ sed -i -e 's/egrep/grep -E/' "${S}/virtualenvwrapper.sh" || die
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ bash ./tests/run_tests || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${D}" -name '*.pth' -delete || die
+}